## wmcube 0.98

=== wmcube/Makefile ===
CC = gcc
OS = -DLINUX

LIBDIR = -L/usr/X11R6/lib
LIBDIR = -L/usr/X11R6/lib
INCDIR = -I/usr/X11R6/share/include

# Edit OSLIBS as appropriate to include OS specific libraries.

OSLIBS =
LIBS   = -lXpm -lXext -lX11 -lm $(OSLIBS)
CFLAGS = -Wall -O2 $(OS)

OBJS =	wmcube.o \
	../wmgeneral/wmgeneral.o \
	../wmgeneral/misc.o \
	../wmgeneral/list.o

.c.o:
	$(CC) $(CFLAGS) $(INCDIR) -c $< -o $*.o

wmcube: $(OBJS)
	$(CC) -o wmcube $^ -lXext $(LIBDIR) $(LIBS)


all:: wmcube

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmcube
	rm -f *~

install:: wmcube
	cp -f wmcube /usr/local/bin/
	chmod 755 /usr/local/bin/wmcube
	chown root:root /usr/local/bin/wmcube
	@echo "wmCube installation finished..."

## wmcube 0.99

=== Makefile ===
#
# wmCube 0.99-pre1
#
# To make wmcube compile on another OS change the following things:
#
# CXXFLAGS -D: FREEBSD/NETBSD/SOLARIS/OPENBSD/DARWIN
# CPUMONCC_OS: freebsd/netbsd/solaris/openbsd/darwin (you will also have
# to make sure that the makefile in the cpumoncc/$(CPUMONCC_OS) directory
# is working.
# LFLAGS: Modify/Add any necessary libraries here.
#
#
CXX= g++
CXXFLAGS=-O2 -DLINUX
CPUMONCC_OS=linux
WMCUBE_LIBS=-Lwmapp -lwmapp -Lcpumoncc/$(CPUMONCC_OS) -lcpumoncc
LFLAGS=$(WMCUBE_LIBS) -L/usr/X11R6/lib -lXpm -lXext -lX11 
OBJECTS = WmcObject.o
TARGET = wmcube

$(TARGET): wmcube.cc cpumoncc/$(CPUMONCC_OS)/libcpumoncc.a wmapp/libwmapp.a $(OBJECTS)
	@@echo "###############################################################"
	@@echo "#"
	@@echo "# I am now building the actual wmCube application."
	@@echo "#" 
	@@echo "###############################################################"
	$(CXX) $(CXXFLAGS) $(OBJECTS) $< -o $@ $(LFLAGS)

cpumoncc/$(CPUMONCC_OS)/libcpumoncc.a:
	@@echo "###############################################################"
	@@echo "# I am now building the cpumoncc library in 'cpumoncc/$(CPUMONCC_OS)'."
	@@echo "# Please modify/verify the makefile in that directory before"
	@@echo "# reporting an error as a bug."
	@@echo "###############################################################"
	cd cpumoncc/$(CPUMONCC_OS); make; cd ../..
	
wmapp/libwmapp.a:
	@@echo "###############################################################"
	@@echo "# I am now building the wmapp library in 'wmapp'"
	@@echo "# Please modify/verify the makefile in that directory before"
	@@echo "# reporting an error as a bug."
	@@echo "###############################################################"
	cd wmapp; make; cd ..

install: $(TARGET)
	cp -Rf wmc /usr/share/wmcube
	cp wmcube /usr/local/bin
	chmod 755 /usr/local/bin/wmcube
        chown root:root /usr/local/bin/wmcube

clean:
	rm -f *.o *\~ $(TARGET)
	cd wmapp; make clean; cd ..
	cd cpumoncc/$(CPUMONCC_OS); make clean; cd ../..
	
install_clean:
	rm -fr /usr/share/wmcube
	rm /usr/local/bin/wmcube

=== wmapp/Makefile ===
export CXX     = g++
export CFLAGS  = -fPIC -g -Wall -pedantic -O2
export LFLAGS  = -L$(CURDIR) -L/usr/X11R6/lib -lXpm -lXext -lX11 -lwmapp

SOURCES = $(wildcard *.cc)
OBJECTS = $(SOURCES:.cc=.o)

libwmapp.a: $(OBJECTS)
	ar rcs libwmapp.a $^

%.d: %.cc
	@set -e; $(CXX) -MM $(CFLAGS) $< | sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		   [ -s $@ ] || rm -f $@

-include $(SOURCES:.cc=.d)

%.o:
	$(CXX) $(CFLAGS) -c $< -o $@

wmexample: libwmapp.a
	$(MAKE) -C example1

wmatc: libwmapp.a
	$(MAKE) -C example2

clean:
	-rm -f tags *.o *.d *\~ libwmapp.a
	$(MAKE) -C example1 clean
	$(MAKE) -C example2 clean
	
dist-clean: clean
	-rm -f libwmapp.a wmexample wmatc

.PHONY:	all clean dist-clean wmexample wmatc

=== cpumoncc/darwin/Makefile ===
#####################################################
#
# To compile cpumoncc for a different OS/architecture you
# will need to modify the variablese below to match your system.
#
# For system wide installation type (as root):
#
# make install
#
# This will install the static library in $(LIBINSTALL) and
# the header files in $(HINSTALL)/cpumoncc.
#
#####################################################

CXX=g++
CXXFLAGS=
HINSTALL=/usr/include
LIBINSTALL=/usr/lib

#####################################################

TARGET=libcpumoncc.a

$(TARGET): CpuMonitor.o
	ar rcs $(TARGET) $^

CpuMonitor.o: copy_base

copy_base:
	cp ../base/BaseCpuMonitor.h .
        
install: $(TARGET)
	mkdir -p $(HINSTALL)/cpumoncc
	cp *.h $(HINSTALL)/cpumoncc
	install -m 644 $(TARGET) $(LIBINSTALL)

clean:
	rm -f *~ core *.o cpu $(TARGET) BaseCpuMonitor.h
	rm -fr $(HINSTALL)/cpumoncc
	rm -f $(LIBINSTALL)/$(TARGET)

=== cpumoncc/freebsd/Makefile ===
######################################################
#
# To compile cpumoncc for a different OS/architecture you
# will need to modify the variablese below to match your system.
#
# For system wide installation type (as root):
#
# make install
#
# This will install the static library in $(LIBINSTALL) and
# the header files in $(HINSTALL)/cpumoncc.
#
#####################################################

CXX=g++
CXXFLAGS=-lkvm
HINSTALL=/usr/include
LIBINSTALL=/usr/lib

#####################################################

TARGET=libcpumoncc.a

$(TARGET): CpuMonitor.o
	ar rcs $(TARGET) $^

CpuMonitor.o: copy_base

copy_base:
	cp ../base/BaseCpuMonitor.h .
        
install: $(TARGET)
	mkdir -p $(HINSTALL)/cpumoncc
	cp *.h $(HINSTALL)/cpumoncc
	install -m 644 $(TARGET) $(LIBINSTALL)

clean:
	rm -f *~ core *.o cpu $(TARGET) BaseCpuMonitor.h
	rm -fr $(HINSTALL)/cpumoncc
	rm -f $(LIBINSTALL)/$(TARGET)

=== cpumoncc/linux/Makefile ===
######################################################
#
# To compile cpumoncc for a different OS/architecture you
# will need to modify the variablese below to match your system.
#
# For system wide installation type (as root):
#
# make install
#
# This will install the static library in $(LIBINSTALL) and
# the header files in $(HINSTALL)/cpumoncc.
#
#####################################################

CXX=g++
CXXFLAGS=
HINSTALL=/usr/include
LIBINSTALL=/usr/lib

#####################################################

TARGET=libcpumoncc.a

$(TARGET): CpuMonitor.o
	ar rcs $(TARGET) $^

CpuMonitor.o: copy_base

copy_base:
	cp ../base/BaseCpuMonitor.h .
        
install: $(TARGET)
	mkdir -p $(HINSTALL)/cpumoncc
	cp *.h $(HINSTALL)/cpumoncc
	install -m 644 $(TARGET) $(LIBINSTALL)

clean:
	rm -f *~ core *.o cpu $(TARGET) BaseCpuMonitor.h
#	rm -fr $(HINSTALL)/cpumoncc
#	rm -f $(LIBINSTALL)/$(TARGET)

=== cpumoncc/netbsd/Makefile ===
######################################################
#
# To compile cpumoncc for a different OS/architecture you
# will need to modify the variablese below to match your system.
#
# For system wide installation type (as root):
#
# make install
#
# This will install the static library in $(LIBINSTALL) and
# the header files in $(HINSTALL)/cpumoncc.
#
#####################################################

CXX=g++
CXXFLAGS=
HINSTALL=/usr/include
LIBINSTALL=/usr/lib

#####################################################

TARGET=libcpumoncc.a

$(TARGET): CpuMonitor.o
	ar rcs $(TARGET) $^

CpuMonitor.o: copy_base

copy_base:
	cp ../base/BaseCpuMonitor.h .
        
install: $(TARGET)
	mkdir -p $(HINSTALL)/cpumoncc
	cp *.h $(HINSTALL)/cpumoncc
	install -m 644 $(TARGET) $(LIBINSTALL)

clean:
	rm -f *~ core *.o cpu $(TARGET) BaseCpuMonitor.h
	rm -fr $(HINSTALL)/cpumoncc
	rm -f $(LIBINSTALL)/$(TARGET)

=== cpumoncc/openbsd/Makefile ===
######################################################
#
# To compile cpumoncc for a different OS/architecture you
# will need to modify the variablese below to match your system.
#
# For system wide installation type (as root):
#
# make install
#
# This will install the static library in $(LIBINSTALL) and
# the header files in $(HINSTALL)/cpumoncc.
#
#####################################################

CXX=g++
CXXFLAGS=
HINSTALL=/usr/include
LIBINSTALL=/usr/lib

#####################################################

TARGET=libcpumoncc.a

$(TARGET): CpuMonitor.o
	ar rcs $(TARGET) $^

CpuMonitor.o: copy_base

copy_base:
	cp ../base/BaseCpuMonitor.h .
        
install: $(TARGET)
	mkdir -p $(HINSTALL)/cpumoncc
	cp *.h $(HINSTALL)/cpumoncc
	install -m 644 $(TARGET) $(LIBINSTALL)

clean:
	rm -f *~ core *.o cpu $(TARGET) BaseCpuMonitor.h
	rm -fr $(HINSTALL)/cpumoncc
	rm -f $(LIBINSTALL)/$(TARGET)

=== cpumoncc/programs/Makefile ===
CXX=g++
CXXFLAGS=
TARGET=cpu
	
all: cpu.cc cpuload.cc
	$(CXX) $(CXXFLAGS) -o cpu cpu.cc -lcpumoncc
	$(CXX) $(CXXFLAGS) -o cpuload cpuload.cc -lcpumoncc
	
install: all
	cp cpu /usr/bin
	cp cpuload /usr/bin
	
clean:
	rm -f *~ core *.o cpu cpuload /usr/bin/cpu /usr/bin/cpuload

=== cpumoncc/solaris/Makefile ===
######################################################
#
# To compile cpumoncc for a different OS/architecture you
# will need to modify the variablese below to match your system.
#
# For system wide installation type (as root):
#
# make install
#
# This will install the static library in $(LIBINSTALL) and
# the header files in $(HINSTALL)/cpumoncc.
#
#####################################################

CXX=g++
CXXFLAGS=-L/opt/sfw/lib -L/usr/local/lib -R/opt/sfw/lib -R/usr/local/lib -lkstat
HINSTALL=/usr/include
LIBINSTALL=/usr/lib

#####################################################

TARGET=libcpumoncc.a

$(TARGET): CpuMonitor.o
	ar rcs $(TARGET) $^

CpuMonitor.o: copy_base

copy_base:
	cp ../base/BaseCpuMonitor.h .
        
install: $(TARGET)
	mkdir -p $(HINSTALL)/cpumoncc
	cp *.h $(HINSTALL)/cpumoncc
	install -m 644 $(TARGET) $(LIBINSTALL)

clean:
	rm -f *~ core *.o cpu $(TARGET) BaseCpuMonitor.h
	rm -fr $(HINSTALL)/cpumoncc
	rm -f $(LIBINSTALL)/$(TARGET)

=== wmapp/example1/Makefile ===
OBJECTS = wmexample.o window0.o window1.o

../wmexample: $(OBJECTS) ../libwmapp.a
	$(CXX) $(CFLAGS) $(OBJECTS) $(LFLAGS) -o $@

$(OBJECTS): %.o: %.cc ../*.h
	$(CXX) $(CFLAGS) -c $< -o $@

clean:
	rm -f *.o *\~

.PHONY:	clean

=== wmapp/example2/Makefile ===
OBJECTS = wmairtrafficcontrol.o wmradar.o

../wmatc: $(OBJECTS) ../libwmapp.a
	$(CXX) $(CFLAGS) $(OBJECTS) $(LFLAGS) -o $@

$(OBJECTS): %.o: %.cc ../*.h wmradar.h
	$(CXX) $(CFLAGS) -c $< -o $@

clean:
	rm -f *.o *\~

.PHONY:	clean

## wmcube 1.0.0

=== wmcube/Makefile ===
--- 
+++ 
@@ -4,6 +4,11 @@
 LIBDIR = -L/usr/X11R6/lib
 LIBDIR = -L/usr/X11R6/lib
 INCDIR = -I/usr/X11R6/share/include
+
+PREFIX = /usr
+BINDIR = $(PREFIX)/bin
+DOCDIR = $(PREFIX)/doc/wmcube-1.0.0
+OBJDIR = $(PREFIX)/share/wmcube
 
 # Edit OSLIBS as appropriate to include OS specific libraries.
 
@@ -22,7 +27,6 @@
 wmcube: $(OBJS)
 	$(CC) -o wmcube $^ -lXext $(LIBDIR) $(LIBS)
 
-
 all:: wmcube
 
 clean::
@@ -33,7 +37,21 @@
 	rm -f *~
 
 install:: wmcube
-	cp -f wmcube /usr/local/bin/
-	chmod 755 /usr/local/bin/wmcube
-	chown root:root /usr/local/bin/wmcube
-	@echo "wmCube installation finished..."
+	cp -f wmcube $(BINDIR)
+	chmod 755 $(BINDIR)/wmcube
+	chown root:root $(BINDIR)/wmcube
+	mkdir -p $(DOCDIR)
+	cp -p ../CHANGES ../COPYING ../INSTALL ../README $(DOCDIR)
+	cp -pr ../3D-objects $(DOCDIR)
+	mkdir -p $(OBJDIR)
+	cp -p ../3D-objects/* $(OBJDIR)
+	@echo "wmcube installation finished..."
+
+uninstall::
+	rm -f $(BINDIR)/wmcube
+	rm -f $(DOCDIR)/3D-objects/*
+	if [ -d $(DOCDIR)/3D-objects ]; then rmdir $(DOCDIR)/3D-objects; fi
+	rm -f $(DOCDIR)/*
+	if [ -d $(DOCDIR) ]; then rmdir $(DOCDIR); fi
+	rm -f $(OBJDIR)/*
+	if [ -d $(OBJDIR) ]; then rmdir $(OBJDIR); fi

=== debian/changelog ===
wmcube (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #775110).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Remove dpatch from Build-Depends.
    - Bump Standards-Version to 3.9.6.
    - Update Homepage.
    - Add Vcs-*.
    - Add ${misc:Depends} to Depends.
    - Remove duplicate Section and Priority fields.
  * debian/copyright
    - Update to DEP5 machine-readable format version 1.0.
  * debian/install
    - New file; install extra *.wmc files.
  * debian/manpages
    - New file.
  * debian/patches
    - (10_fixes_for_0.99pre1_upgrade.dpatch, 20_parallel_build.dpatch,
      50_bts-504844_fix_ftbfs_gcc4.4.dpatch) Remove patches; no longer
      needed.
    - (30_bts-386850_fix_smp.patch, 40_bts-357072_long_uptime_fix.patch)
      Convert from dpatch to quilt, change extension from .dpatch to
      .patch, update for new upstream version, and add DEP3 header.
    - (update_makefile.patch) Various changes to upstream Makefile to
      properly build package.
    - (fix_-Wunused-result.patch) Fix compiler warnings.
    - (freebsd_sysctl.patch): Use sysctl instead of kvm to get cpu stats
      on kfreebsd.
    - (fix_grammar.patch) Fix grammar in error message.
    - (fix_cppcheck_warnings.patch) Fix warnings found by cppcheck.
  * debian/README.source
    - Remove out-of-date file.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_build target to pass CFLAGS from
      dpkg-buildflags and set FREEBSD macro when building on kfreebsd.
    - Add override_dh_auto_install target to remove doc files installed
      by upstream that cause Lintian warnings.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - Update with new location.
  * debian/wmcube.1
    - Update with descriptions of options.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 14 Jan 2015 20:27:37 -0600

wmcube (0.99-pre1-3) unstable; urgency=low

  * QA upload.
  * debian/control
    - Set QA Group as maintainer.
    - Bump Standards-Version to 3.8.0.
      + Add debian/README.source.
  * debian/patches/50_bts-504844_fix_ftbfs_gcc4.4.dpatch
    - Add to fix a FTBFS using GCC 4.4; thanks to Martin Michlmayr for the
      report and the patch (Closes: #504844).

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Nov 2008 11:40:47 +0100

wmcube (0.99-pre1-2) unstable; urgency=low

  * debian/wmc/beryllium.wmc
    - Add new wmc (Closes: #466606).

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 08 Mar 2008 16:24:38 +0100

wmcube (0.99-pre1-1) unstable; urgency=low

  * New upstream release (Closes: #239522).
  * debian/control
    - Bump Standards-Version to 3.7.3.
    - Add Homepage field.
  * debian/menu
    - Update to new menu policy.
  * debian/copyright
    - Indent copyright and upstream author with 4 spaces.
    - Update copyright note.
    - Add copyright/license notes for wmapp directory.
  * debian/README.debian
    - Remove package description
    - Update upstream email & website address.
  * debian/watch
    - Add.
  * debian/rules
    - Install upstream changelog.
    - Don't install removed files.
    - Change binary location in install target.
    - Remove TODO from docs installation since no longer in upstream
      tarball.
    - Integrate destination dir creation into install target.
    - Remove execution rights from data files (*.wmc).
    - Clean target reorg to be run on patched source.
    - Build target depends on patch, not build-stamp on patch-stamp.
  * debian/3dObjects/
    - Rename to debian/wmc to match upstream directory
  * debian/patches/10_fixes_for_0.99pre1_upgrade.dpatch
    - Add to let new upstream release compile; thanks to Peter De Wachter
      from #debian-mentors IRC channel.
  * debian/patches/10_datapath_old.dpatch
    - Remove since merged upstream / no longer applicable.
  * debian/patches/30_restore_pristine_code.dpatch
    - Remove since merged upstream / no longer applicable.
  * debian/dirs
    - Remove.
  * debian/patches/20_secfix_old.dpatch
    - Remove since no longer applicable.
  * debian/patches/20_parallel_build.dpatch
    - Allow parallel build.
  * debian/patches/30_bts-386850_fix_smp.dpatch
    - Fix smp support (Closes: 386850).
  * debian/patches/40_bts-357072_long_uptime_fix.dpatch
    - Fix program running on machine with long uptime (Closes: #357072).
  * debian/wmcube.1
    - Adapt to new upstream release.

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 30 Jan 2008 19:58:58 +0100

wmcube (0.98-8) unstable; urgency=low

  * New maintainer (Closes: #414531).
  * debian/control
    - Add myself as new maintainer.
    - Little reformat of short and long descriptions.
    - Add dependency against dpatch.
  * debian/copyright
    - Set myself as new maintainer.
    - Add copyright notes for wmgeneral files.
    - Reformat license note.
  * debian/docs
    - Remove since integrated into debian/rules.
  * debian/rules
    - Change dh_installdocs call adding filenames as parameters..
    - Remove some commented lines here and there.
    - Manpage installation done using dh_installman.
    - Added install target.
    - Move 3dObjects/{README,CONTRIBUTE} from install to dh_installdocs
    - Remove "source diff" targe" target.
    - Remove custom patch application code since we are now using
      dpatch.
    - Patches to apply are selected using debian/patches/00list and not a
      variable.
    - Fix installation of 3dObjects files.
    - Fix a lintian warning on "make clean" call.
  * debian/menu
    - Change section to Applications.
  * debian/post{inst,rm}.debhelper
    - Remove since menu updatation is done automatically now.
  * debian/patches/{10_datapath_old,20_secfix_old}.dpatch
    - Replace old dpatch-style patches.
  * debian/patches/smpfix.dpatch
    - Remove since already present in 20_secfix_old.dpatch.
  * debian/3dObjects/X-{lines,planes}.wmc


=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --sourcedirectory=wmcube

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_auto_build --sourcedirectory=wmcube -- OS=-DFREEBSD \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
else
	dh_auto_build --sourcedirectory=wmcube -- \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
endif

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/wmcube/usr/share/doc/wmcube/CHANGES \
		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/COPYING \
		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/INSTALL

get-orig-source:
	uscan --verbose --force-download --rename

## wmcube 1.0.1

=== wmcube/Makefile ===
CC = gcc
OS = -DLINUX

VERSION = 1.0.1

LIBDIR = -L/usr/X11R6/lib
LIBDIR = -L/usr/X11R6/lib
INCDIR = -I/usr/X11R6/share/include

PREFIX = /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/doc/wmcube-$(VERSION)
MANDIR = $(PREFIX)/man/man1
OBJDIR = $(PREFIX)/share/wmcube

# Edit OSLIBS as appropriate to include OS specific libraries.

OSLIBS =
LIBS   = -lXpm -lXext -lX11 -lm $(OSLIBS)
CFLAGS = -Wall -O2

OBJS =	wmcube.o \
	../wmgeneral/wmgeneral.o \
	../wmgeneral/misc.o \
	../wmgeneral/list.o

.c.o:
	$(CC) $(OS) $(CPPFLAGS) $(CFLAGS) $(INCDIR) -c $< -o $*.o

wmcube: $(OBJS)
	$(CC) $(LDFLAGS) -o wmcube $^ -lXext $(LIBDIR) $(LIBS)

all:: wmcube

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmcube
	rm -f *~

install:: wmcube
	cp -f wmcube $(BINDIR)
	chmod 755 $(BINDIR)/wmcube
	chown root:root $(BINDIR)/wmcube
	mkdir -p $(DOCDIR)
	cp -p ../CHANGES ../COPYING ../INSTALL ../README ../THANKS $(DOCDIR)
	cp -pr ../3D-objects $(DOCDIR)
	cp -p wmcube.1 $(MANDIR)
	mkdir -p $(OBJDIR)
	cp -p ../3D-objects/* $(OBJDIR)
	@echo "wmcube installation finished..."

uninstall::
	rm -f $(BINDIR)/wmcube
	rm -f $(DOCDIR)/3D-objects/*
	if [ -d $(DOCDIR)/3D-objects ]; then rmdir $(DOCDIR)/3D-objects; fi
	rm -f $(DOCDIR)/*
	if [ -d $(DOCDIR) ]; then rmdir $(DOCDIR); fi
	rm -f $(MANDIR)/wmcube.1
	rm -f $(OBJDIR)/*
	if [ -d $(OBJDIR) ]; then rmdir $(OBJDIR); fi

=== debian/changelog ===
wmcube (1.0.1-3) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Aug 2015 23:18:48 -0400

wmcube (1.0.1-2) unstable; urgency=medium

  * debian/patches/remove_inline_keywords.patch
    - Allow builds using gcc5 (Closes: #790293).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 15 Jul 2015 12:51:57 -0600

wmcube (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{install,wmc/*}
    - Remove files; *.wmc added upstream.
  * debian/{manpages,wmcube.1}
    - Remove files; manpage added upstream.
  * debian/patches
    - Remove previous patches; applied upstream.
  * debian/patches/manpage_escape_hyphens.patch
    - New patch; avoid hyphen-used-as-minus-sign Lintian warning.
  * debian/rules
    - Update override_dh_auto_install target to set installation
      directories.  (These settings were originally in
      debian/patches/update_makefile.patch, which upstream applied
      in part.  Since these settings are more Debian-specific, I'm
      moving this to debian/rules.)

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 19 Feb 2015 20:40:57 -0600

=== debian/control ===
Source: wmcube
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://linux-bsd-unix.strefa.pl/index.en.html
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcube.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmcube.git

Package: wmcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmaker
Description: spinning 3D object that shows the current CPU load
 wmcube is a dockapp that displays a realtime rotating 3D object which
 indicates  current CPU  load. The  higher  the load,  the faster  the
 object  spins. On  SMP  machines one  instance  can be  run for  each
 processor.
 .
 Originally wmcube could spin only a cube, hence the name.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,12 @@
 endif
 
 override_dh_auto_install:
-	dh_auto_install
+	mkdir -p $(CURDIR)/debian/wmcube/usr/bin
+	mkdir -p $(CURDIR)/debian/wmcube/usr/share/man/man1
+	dh_auto_install -- BINDIR=$(CURDIR)/debian/wmcube/usr/bin \
+		DOCDIR=$(CURDIR)/debian/wmcube/usr/share/doc/wmcube \
+		MANDIR=$(CURDIR)/debian/wmcube/usr/share/man/man1 \
+		OBJDIR=$(CURDIR)/debian/wmcube/usr/share/wmcube
 	rm $(CURDIR)/debian/wmcube/usr/share/doc/wmcube/CHANGES \
 		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/COPYING \
 		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/INSTALL

## wmcube 1.0.2

=== wmcube/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC = gcc
 OS = -DLINUX
 
-VERSION = 1.0.1
+VERSION = 1.0.2
 
 LIBDIR = -L/usr/X11R6/lib
 LIBDIR = -L/usr/X11R6/lib

=== debian/changelog ===
wmcube (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.7.
    - Use https protocol for Vcs-Browser.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Enable all hardening flags.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 18 Mar 2016 22:15:18 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://linux-bsd-unix.strefa.pl/index.en.html
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmcube.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcube.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmcube.git
 
 Package: wmcube
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --sourcedirectory=wmcube

=== debian/watch ===
version=3
http://linux-bsd-unix.strefa.pl/index.en.html wmcube-(.*)\.tar\.gz
